%global pypi_name jsonpointer

Name:           python-%{pypi_name}
Version:        2.2
Release:        2
Summary:        Resolve JSON Pointers in Python
License:        BSD
URL:            https://github.com/stefankoegl/python-json-pointer
Source0:        https://pypi.io/packages/source/j/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

Patch0:   backport-fix-invalid-escape-sequence-50.patch

BuildArch:      noarch

%description
python-json-pointer is a Python library for resolving JSON pointers (RFC 6901). Python 2.7, 3.4+ and PyPy are supported.


%package -n python3-%{pypi_name}
Summary:        Resolve JSON Pointers in Python
BuildRequires:  python3-devel python3-setuptools

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
python-json-pointer is a Python library for resolving JSON pointers (RFC 6901).

%package_help

%prep
%autosetup -n %{pypi_name}-%{version}

%build
LC_ALL=en_US.UTF-8 %py3_build

%install
LC_ALL=en_US.UTF-8 %py3_install
mv %{buildroot}%{_bindir}/jsonpointer %{buildroot}%{_bindir}/jsonpointer-%{python3_version}
ln -s ./jsonpointer-%{python3_version} %{buildroot}%{_bindir}/jsonpointer-3
ln -s ./jsonpointer-%{python3_version} %{buildroot}%{_bindir}/jsonpointer


%check
%{__python3} tests.py

%files -n python3-%{pypi_name}
%{_bindir}/jsonpointer
%{_bindir}/jsonpointer-3*
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py*
%{python3_sitelib}/*.egg-info

%files help
%doc README.md

%changelog
* Mon Oct 24 2022 zhangruifang <zhangruifang1@h-partners.com> - 2.2-2
- fix invalid escape sequence
- fix bad date in changelog

* Tue Nov 23 2021 liudabo <liudabo1@huawei.com> - 2.2-1
- upgrade version to 2.2

* Thu Oct 29 2020 tianwei <tianwei12@huawei.com> - 2.0-2
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:delete python2

* Thu Jul 23 2020 dingyue <dingyue5@huawei.com> - 2.0-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:NA

* Fri Oct 11 2019 yefei <yefei25@huawei.com> - 1.10-15
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:move author from doc to license

* Sun Sep 15 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.10-14
- Package init
